org.apache.pdfbox.preflight.process

## Class AbstractProcess

- java.lang.Object
- - org.apache.pdfbox.preflight.process.AbstractProcess

All Implemented Interfaces:
  ValidationProcess

Direct Known Subclasses:
  AcroFormValidationProcess, ActionsValidationProcess, AnnotationValidationProcess, BookmarkValidationProcess, CatalogValidationProcess, DestinationValidationProcess, ExtGStateValidationProcess, FileSpecificationValidationProcess, FontValidationProcess, GraphicObjectPageValidationProcess, MetadataValidationProcess, PageTreeValidationProcess, ResourcesValidationProcess, ShadingPatternValidationProcess, SinglePageValidationProcess, StreamValidationProcess, TilingPatternValidationProcess, TrailerValidationProcess, XRefValidationProcess

    public abstract class AbstractProcess
    extends Object
    implements ValidationProcess

### Constructor Summary

Constructors
Constructor and Description
`AbstractProcess()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `addFontError(org.apache.pdfbox.cos.COSDictionary dictionary, PreflightContext context, IOException e)` PDFont loads embedded fonts in its constructor so we have to handle IOExceptions from PDFont and translate them into validation errors.
`protected void` `addValidationError(PreflightContext ctx, ValidationResult.ValidationError error)`
`protected void` `addValidationErrors(PreflightContext ctx, List<ValidationResult.ValidationError> errors)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.pdfbox.preflight.process.ValidationProcess

`validate`

### Constructor Detail

#### AbstractProcess

    public AbstractProcess()

### Method Detail

#### addValidationError

    protected void addValidationError(PreflightContext ctx,
                                      ValidationResult.ValidationError error)

#### addValidationErrors

    protected void addValidationErrors(PreflightContext ctx,
                                       List<ValidationResult.ValidationError> errors)

#### addFontError

    protected void addFontError(org.apache.pdfbox.cos.COSDictionary dictionary,
                                PreflightContext context,
                                IOException e)

PDFont loads embedded fonts in its constructor so we have to handle IOExceptions from PDFont and translate them into validation errors.